## Modulemd.SubdocumentInfo (Private) Modulemd.SubdocumentInfo (Private) — ModulemdSubdocumentInfo methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdSubdocumentInfo * | modulemd_subdocument_info_new ()
ModulemdSubdocumentInfo * | modulemd_subdocument_info_copy ()
void | modulemd_subdocument_info_set_doctype ()
ModulemdYamlDocumentTypeEnum | modulemd_subdocument_info_get_doctype ()
void | modulemd_subdocument_info_set_mdversion ()
guint64 | modulemd_subdocument_info_get_mdversion ()
void | modulemd_subdocument_info_set_yaml ()
void | modulemd_subdocument_info_set_gerror ()
gboolean | modulemd_subdocument_info_get_data_parser ()
void | modulemd_subdocument_info_debug_dump_failures ()

## Description

## Functions

### modulemd_subdocument_info_new ()

    ModulemdSubdocumentInfo *
    modulemd_subdocument_info_new (void);

#### Returns

A newly-allocated ModulemdSubdocumentInfo object.

[transfer full]

Since: 2.0

### modulemd_subdocument_info_copy ()

    ModulemdSubdocumentInfo *
    modulemd_subdocument_info_copy (ModulemdSubdocumentInfo *self);

#### Parameters

self | This ModulemdSubdocumentInfo object. |

#### Returns

A deep copy of `self` .

[transfer full]

Since: 2.0

### modulemd_subdocument_info_set_doctype ()

    void
    modulemd_subdocument_info_set_doctype (ModulemdSubdocumentInfo *self,
                                           ModulemdYamlDocumentTypeEnum doctype);

#### Parameters

self | This ModulemdSubdocumentInfo object. |
doctype | The ModulemdYamlDocumentTypeEnum represented by this subdocument object. |

Since: 2.0

### modulemd_subdocument_info_get_doctype ()

    ModulemdYamlDocumentTypeEnum
    modulemd_subdocument_info_get_doctype (ModulemdSubdocumentInfo *self);

#### Parameters

self | This ModulemdSubdocumentInfo object. |

#### Returns

The type of subdocument represented by this ModulemdSubdocumentInfo object.

Since: 2.0

### modulemd_subdocument_info_set_mdversion ()

    void
    modulemd_subdocument_info_set_mdversion
                                   (ModulemdSubdocumentInfo *self,
                                    guint64 mdversion);

#### Parameters

self | This ModulemdSubdocumentInfo object. |
mdversion | The metadata version of this ModulemdSubdocumentInfo object. |

Since: 2.0

### modulemd_subdocument_info_get_mdversion ()

    guint64
    modulemd_subdocument_info_get_mdversion
                                   (ModulemdSubdocumentInfo *self);

#### Parameters

self | This ModulemdSubdocumentInfo object. |

#### Returns

The metadata version of this ModulemdSubdocumentInfo object.

Since: 2.0

### modulemd_subdocument_info_set_yaml ()

    void
    modulemd_subdocument_info_set_yaml (ModulemdSubdocumentInfo *self,
                                        const gchar *contents);

#### Parameters

self | This ModulemdSubdocumentInfo object. |
contents | The contents of the document. |

Since: 2.0

### modulemd_subdocument_info_set_gerror ()

    void
    modulemd_subdocument_info_set_gerror (ModulemdSubdocumentInfo *self,
                                          const GError *error);

#### Parameters

self | This ModulemdSubdocumentInfo object. |
error | The error. |

Since: 2.0

### modulemd_subdocument_info_get_data_parser ()

    gboolean
    modulemd_subdocument_info_get_data_parser
                                   (ModulemdSubdocumentInfo *self,
                                    yaml_parser_t *parser,
                                    gboolean strict,
                                    GError **error);

#### Parameters

self | This ModulemdSubdocumentInfo object. |
parser | An unconfigured libyaml parser. | [inout]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError containing the parser error if this function fails. | [out]

Since: 2.0

### modulemd_subdocument_info_debug_dump_failures ()

    void
    modulemd_subdocument_info_debug_dump_failures
                                   (GPtrArray *failures);

Dumps human readable information about `failures` to the debug log.

#### Parameters

failures | An array containing any subdocuments from the YAML file that failed to parse. | [in][element-type ModulemdSubdocumentInfo]

Since: 2.10